<?php  
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT" );
header("Last-Modified: " . gmdate( "D, d M Y H:i:s" ) . "GMT" );
header("Cache-Control: no-cache, must-revalidate" );
header("Pragma: no-cache" );
header("Content-type: text/x-json");
include($_SERVER['DOCUMENT_ROOT'] .'/script/HeaderInc.php');
if('XMLHttpRequest' == $_SERVER['HTTP_X_REQUESTED_WITH']) {
  $ObjJqGridMod = new JqGridMod();
  $ObjJqGridMod->SetArrayIn($_GET);
  $VarWhere = '';
  if (true === isset($_GET['structureorganization_id']) && '' != $_GET['structureorganization_id']){
    $ObjStructureOrganizationMod = new StructureOrganizationMod($MS_SP);
    $ArrStructureOrganization = $ObjStructureOrganizationMod->GetFromDb('SqlAll', 'GetAll');
    $ArrStructureOrganizationTree = SiteLibs::array2tree($ArrStructureOrganization, $_GET['structureorganization_id'], 'child_nodes', 'structureorganization_id', 'structureorganization_parent_id');
    $ArrStructureOrganizationTree = array_keys($ArrStructureOrganizationTree);
    $ArrStructureOrganizationTree[] = $_GET['structureorganization_id'];
    $VarStructureOrganizationWhere = implode(',', $ArrStructureOrganizationTree);
    $VarWhere .= " AND c.structureorganization_id IN (". $VarStructureOrganizationWhere .")";
  }
  if (true === isset($_GET['svt_id']) && true === is_numeric($_GET['svt_id'])){
    $VarWhere .= " AND c.svt_id = '". $_GET['svt_id'] ."'";
  }
  if(true === isset($_GET['_search']) && 'true' == $_GET['_search']){
    if(true === isset($ObjJqGridMod->filters) && '' != $ObjJqGridMod->filters){
      $VarWhere .= ' AND '. $ObjJqGridMod->generateSearchStringFromFilter();
    }
    if(true === isset($ObjJqGridMod->searchField) && '' != $ObjJqGridMod->searchField){
      $VarWhere .= ' AND '. $ObjJqGridMod->generateSearchStringFromSearchField();
    }
  }
  $VarWhere = SiteLibs::StripAndOrFirst($VarWhere);
  $VarOrder = $ObjJqGridMod->GetOrder();
  $VarLimit = $ObjJqGridMod->GetLimit();
  $ObjDemandsMod = new DemandsMod($MS_SP);
  $count = $ObjDemandsMod->GetFromDb('SqlCount', 'GetOne', $VarWhere);
  $total_pages = $ObjJqGridMod->GetTotalPages($count);
  $page = $ObjJqGridMod->GetPage();
  $ArrDemands = $ObjDemandsMod->GetFromDb('SqlAll', 'GetAll', $VarWhere, $VarOrder, $VarLimit);
  //SiteLibs::GetVarDump($ArrDemands);
  $ArrFields = array();
  foreach ($ArrDemands AS $key => $row){
    $ArrFields[$key]['id'] = $row['demands_id'];
    $ArrFields[$key]['cell'][] = '<a class="ui-state-default" href="'. $MS_SP->Sp_PathTop .'/OpDemandsDetail.php?demands_id='. $row['demands_id'] .'" title="Выбрать" target="_blank">Выбрать</a>';
    $ArrFields[$key]['cell'][] = $row['demands_id'];
    $ArrFields[$key]['cell'][] = $row['demands_date'];
    $ArrFields[$key]['cell'][] = $row['sprstatus_name'].'';
    $ArrFields[$key]['cell'][] = $row['svt_name'].'';
    $ArrFields[$key]['cell'][] = $row['svt_buxname'].'';
    $ArrFields[$key]['cell'][] = $row['svttype_name'].'';
    $ArrFields[$key]['cell'][] = $row['svt_invnum'].'';
    $ArrFields[$key]['cell'][] = $row['svt_serialnum'].'';
    $ArrFields[$key]['cell'][] = $row['users_fio'].'';
    $ArrFields[$key]['cell'][] = $row['demands_intdocnum'];
    $ArrFields[$key]['cell'][] = $row['demands_intdocdate'];
  }
  $json = array("page" => $page, "total" => $total_pages, "records" => $count,"rows" => $ArrFields);
  echo json_encode($json);
}
include($_SERVER['DOCUMENT_ROOT'] .'/script/FooterInc.php');
?>